:root {
    --bs-primary: #132C55;
    --bs-btn :#40C2C5;
    --card-even: #D93A97;
    --card-odd:#F8B840;
}
body {
    /*background-color: var(--bg-color);
    background-size: cover;*/
    margin:0;
    height: 100vh;
    width: 100vw;
    overflow: hidden;
    font-family: 'Roboto Slab','Noto Sans TC';
}
.hide {
    display: none;
}
.show {
    display: block;
}
.btn:not(.close) {
    padding: 8px 1rem;
    font-size: 1.25rem;
    cursor: pointer;
    width: fit-content;
    background-color: var(--bs-btn);
    color:#fff;
    font-weight: bold;
    border-radius: 25px;
    border:none;
}
.btn:hover {
    filter: brightness(1.2);
}
.btn.btn-q {
    color:var(--bs-primary);
}
.btn-q + .btn-q {
    margin-left:1rem;
}

#front-page .btn-page {
    min-width: 200px;
    padding: 3rem 1rem;
    letter-spacing: 2px;
    font-size: 2rem;
}
#front-page .btn-page:hover {
    box-shadow: 0 0 0 8px #050D19, 0 0 0 13px var(--bs-btn);
}

#front-page .btn-page span {
    font-style: normal;
    font-weight: normal;
    font-size: small;
    display: block;
}
#front-page .btn-page + .btn-page {
    margin-left:10vw;
}
#page-2,
.reply-block {
    background: radial-gradient(42.22% 42.22% at 50% 42.22%, #132C55 0%, #0A0E2B 100%);
}
.switch-page {
    width: 100%;
    height: 100vh;
    font-size: 16px;
    background-color: #050D19;
}
.switch-page .inside {
    padding: 1rem;
}
.page-intro {
    position: fixed;
    z-index: 100;
    top:50%;
    left: 50%;
    transform: translate(-50%,-50%);
}
.page-intro::before {
    content:'∟';
    color:#fff;
    position: absolute;
    top:-5rem;
    right:-6rem;
    font-size: 8vw;
    transform: rotateZ(180deg);
    -webkit-text-stroke: 5px var(--bs-btn);
    text-shadow: 0 0 15px var(--bs-btn);
}
.page-intro::after {
    content:'∟';
    color:#fff;
    position: absolute;
    bottom:-8rem;
    left:-6rem;
    font-size: 8vw;
    -webkit-text-stroke: 5px var(--bs-btn);
    text-shadow: 0 0 15px var(--bs-btn);
}
.page-intro h2 {
    font-size: xx-large;
    color: #050F19;
    text-shadow: 2px 2px var(--bs-btn), 2px 0 var(--bs-btn), 1px -2px var(--bs-btn), 0 -2px var(--bs-btn), -2px -2px var(--bs-btn), -2px 0 var(--bs-btn), -2px 2px var(--bs-btn), 0 2px var(--bs-btn);
}
.card-list {
    height: calc(100vh - 70px);
    overflow-y: auto;
    width: 80vw;
    margin: 0 auto;
}
.introcard {
    display: flex;
    justify-content: space-between;
    height: 280px;
    width: 80%;
    max-width: 1000px;
    margin: 0 auto 3rem;
    border-radius: 20px;
    background: #fff;
}
/* .introcard > * {
    flex: 1 1 auto;
} */
.introcard:nth-child(even) {
    flex-direction: row-reverse;
    box-shadow: 0px 8px 0 0px var(--card-even);
}
.introcard:nth-child(even) .read-more{
    background: var(--card-even);
}
.introcard:nth-child(odd) {
    box-shadow: 0px 8px 0 0px var(--card-odd);
}
.introcard:nth-child(odd) .read-more{
    background: var(--card-odd);
}
.introcard .info {
    padding: 1rem 2rem;
    flex: 1 1 60%;
    position: relative;
    max-width: 57%;
}
.introcard .content {
    width: 100%;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}
.introcard .content p {
    padding-top: .5rem;
    margin-block-start: 0;
}
.introcard .title {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    font-weight: bold;
    font-size: 22px;
}
.introcard .title em {
    font-style: normal;
    font-size: .9rem;
}
.card-image {
    width: 300px;
    height: 100%;
    border-radius: 20px;
    flex: 1 1 45%;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: left center;
    background-clip: border-box;
}
.card-image-list {
    display:none;
}
.read-more {
    position: absolute;
    bottom: 10px;
    right: 1rem;
    font-size: 1.25rem;
    border: none;
    padding: 5px 8px;
}
#front-page {
    text-align: center;
}

/* card list scroll */
.card-list::-webkit-scrollbar,
.reply #typed::-webkit-scrollbar,
.card-lightbox .content::-webkit-scrollbar,
.other::-webkit-scrollbar,
.reply-content::-webkit-scrollbar,
.introduction::-webkit-scrollbar,
.reply-block .project::-webkit-scrollbar {
  width: 8px;
}
.card-list::-webkit-scrollbar-track,
.reply #typed::-webkit-scrollbar-track,
.other::-webkit-scrollbar-track,
.reply-content::-webkit-scrollbar-track {
  background: transparent;
}
.introduction::-webkit-scrollbar-track,
.card-lightbox .content::-webkit-scrollbar-track
.reply-block .project::-webkit-scrollbar-track {
    border-radius: 10px;
    background: #AFAFAF;
}
.introduction::-webkit-scrollbar-thumb,
.reply-block .project::-webkit-scrollbar-thumb {
    background: #333; 
    border-radius: 8px;
  }
  
.card-list::-webkit-scrollbar-thumb,
.reply #typed::-webkit-scrollbar-thumb,
.card-lightbox .content::-webkit-scrollbar-thumb,
.other::-webkit-scrollbar-thumb,
.reply-content::-webkit-scrollbar-thumb {
  background: #555; 
  border-radius: 8px;
}
::-webkit-scrollbar-thumb:hover,
.project::-webkit-scrollbar-thumb:hover {
    background: #777; 
    width: 10px;
  }
/* light box */
.card-lightbox {
    background-color: #00000070;
    backdrop-filter: saturate(180%) blur(.3em);
    width: 100vw;
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 100;
    padding: 5vh;
}
.card-lightbox .title {
    color:#fff;
    background-color: var(--bs-primary);
    padding:1rem 0;
    position: relative;    
    z-index: 0;
}
.card-lightbox .title:after {
    content: "";
    display: block;
    position: absolute;
    width: calc(60vw + 6rem);
    max-width: calc(1200px + 6rem);
    height: 100%;
    left: -3rem;
    top: 0;
    z-index: -1;
    color: #fff;
    background: var(--bs-primary);
}
.title-en {
    font-style: normal;
    font-size: .9em;
}
.card-lightbox .director,
.card-lightbox .conduct,
.project-year {
    color:var(--bs-primary);
    font-weight: normal;
    margin-bottom: .5rem;
}
.card-lightbox .director span {
    color:#fff;
    background:var(--bs-primary);
    padding: 5px 9px;
    border-radius:50px;
}
.card-lightbox .director span,
.card-lightbox .project-year span {
    margin-left:1.25rem;
}
.card-lightbox .conduct span {
    margin-left:1.25rem;
    padding: 5px 9px;
    border-radius:50px;
    border: 1px solid var(--bs-primary);
}
.card-lightbox .lightbox-content {
    background-color: #fff;
    width: 60vw;
    height: auto;
    max-width: 1200px;
    border-radius:20px;
    position: absolute;
    left: 20vw;
    padding: 2rem 3rem 1rem;
    z-index: 120;
    pointer-events: none;
}
.card-lightbox .content {
    display: flex;
    justify-content: space-around;
    align-items: flex-start;    
    max-height: 42vh;
    overflow-y: auto;
    pointer-events: auto;
    padding-right: 1rem;
    margin-bottom: 1rem;
}
.card-lightbox .content > * + * {
    margin-left: 2em;
}
.content-link.link a {
    font-size: 18px;
    padding: 8px 1rem;
    text-decoration: none;
}
.content-link.link a::after {
    font-size: 18px;
    top: 1rem;
    right: 1.5rem;
}
.btn.close {
    cursor:pointer;
    width: fit-content;
    pointer-events: auto;
    font-size: 1.8rem;
    position: absolute;
    right: 1rem;
    top: .5rem;
}
.btn.close:hover {
    font-weight: bold;
}
.btn.link {
    width: 80%;
    display: block;
    border-radius: 10px;
    text-decoration: none;
    text-align: center;
    box-shadow: 4px 4px 8px 0px #00000066;

}
.picture {
    width: 300px;
}
.picture img {
    width: -webkit-fill-available;
    height: auto;
}
.introduction, .introduction>p {
    margin-block-start: 0;
}
.info-bottom {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    column-gap: 2rem;
}
.QR img {
    width: 80px;
    height: auto;
}

/* chat room */
.chat-content {
    width: 84vw;
    max-width: 1600px;
    margin: 1rem auto;
}
.chat-box {
    width: 84vw;
    max-width: 1600px;
    font-size: 1.25rem;
}
.chat-box select {
    font-size: 16px;
}
.ask {
    text-align: right;
    padding: 1rem;
    background-color: #ccc;
    max-width: 50vw;
    width: fit-content;
    border-radius: 30px;
    margin-left: auto;
    margin-bottom: 1.5rem;
}
#speech-wave {
    opacity: 0;
    display:none;
}
#speech-wave.active {
    display: block;
    opacity: 1;
    transition: all .5s;
}
.chat-box label {
    position: relative;
}
.chat-box input#ai-chat,
.reply-q {
    background: transparent;
    border: 1px solid #fff;
    padding: 1rem 0 1rem 1rem;
    border-radius: 50px;
    width: 100%;
    color:#fff;
    font-size: 1.25rem;
    margin: 1rem auto;
    /* color-scheme: dark; */
}
.chat-box label #chat-submit {
    position: absolute;
    top: 0;
    right: 2rem;
    font-size: 1.5rem;
    background-color: transparent;
    color:#fff;
    border:none;
    cursor: pointer;
}
.default-Q {
    width: 100%;
    margin: .5rem auto;
    display:flex;
    flex-wrap: wrap;
    row-gap:20px;
    column-gap:1rem;
}
.group-Q {
    padding: 1rem 0;
    display: flex;
    justify-content: flex-start;
    margin-bottom: 1rem;
    border-bottom: 1px solid #ffffff7c;
    width: 100%;
}
.reply {
    background: #fff;
    border-radius: 20px;
    padding: 1rem 2rem;
    height: auto;
    display: none;
}
.reply.typing {
    display: block;
}
.reply:empty {
    display:none;
    height: 0;
}
.reply #typed {
    display:block;
    font-size: 1.25rem;
    line-height: 2;
    overflow-y: auto;
    max-height: 40vh;
}
.reply-block {
    display:none;
    width: 100vw;
    height: 100vh;
}
.reply-block.show {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
}
.reply-block .inside {
    width: 80vw;
    margin:1rem auto;
}
.reply-title {
    font-weight: bold;
    text-align:center;
    width: 100%;
    color: #fff;
    font-size: 2rem;
}
.action-group {
    margin-top:1rem;
    text-align: center;
}
.btn-again + .btn-back {
    margin-left:1rem;
}
.other {
    margin:2rem 0;
}
.other .reply-content {
    max-height: 60vh;
    overflow-y: auto;
    padding: 1rem 3%;
}
.project {
    display:flex;
    justify-content: center;
    flex-wrap: wrap;
    row-gap:60px;
    column-gap: 3rem;
    max-height: 65vh;
    padding:5vh 0;
    overflow-y: auto;
    box-shadow: 0px 3px 4px 2px #ffffff1a;
}
.project-filter {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    column-gap: 1rem;
    row-gap: 1.5rem;
}
.btn.filter-btn {
    background-color: transparent;
    color: var(--card-even);
    border: 1px solid var(--card-even);
}
.btn.filter-btn:hover {
    background-color: #ffcbe9;
}
.btn.filter-btn.active{
    background-color: #fff;
}
.project .card {
    width: calc(20% - 50px);
    background-color: var(--card-even);
    color:#fff;
    padding: 3rem 1rem;
    border-radius: 20px;
    font-size: 18px;
    letter-spacing: 1px;
    line-height: 1.8;
    text-align: center;
    text-decoration: none;
    cursor:pointer;
    min-width: 200px;
    display: block;
}
.project .card.hide {
    display: none;
}
.chatgpt-project .project .card {
    padding: 2rem 1rem;
}
.project .card:hover,
.link a:hover {
    filter:brightness(1.2);
}
.chatgpt-project {
    display:none;
}
.chatgpt-project .project {
    padding: 2rem 0;
    box-shadow: none;
}
#prompt-submit {
    font-size: 16px;
    font-weight: bold;
    border: 1px solid var(--bs-btn);
    border-radius: 15px; 
    color:var(--bs-btn);
    background-color: #fff;
    padding: 5px 8px;
}
.link a {
    width: 100%;
    border: 1px solid var(--bs-btn);
    border-radius: 30px;
    margin: 2rem 0;
    text-align: left;
    display: block;
    padding: .5rem 2rem;
    box-sizing: border-box;
    font-size: 1.5rem;
    color: var(--bs-btn);
    position: relative;
}
.link a::after {
    font: var(--fa-font-solid);
    content:'\f0c1';
    position: absolute;
    font-size: 1.5rem;
    top: 1rem;
    right: 2rem;
}
@media screen and (min-width: 1600px){
    .page-intro h2 {
        font-size: xxx-large;
    }
}

@media (min-width: 2560px) {
    .card-lightbox .introduction {
        max-height: 60vh;
    }
}
